• Lunes 1 de Marzo de 2021, 08:45

Autor Tema:  Ejecución De Código En Opera Al Manejar Imagen Jpg  (Leído 1552 veces)

RadicalEd

  • Moderador
  • ******
  • Mensajes: 2430
  • Nacionalidad: co
    • Ver Perfil
Ejecución De Código En Opera Al Manejar Imagen Jpg
« en: Miércoles 5 de Julio de 2006, 15:20 »
0
Las versiones anteriores a la 9.0 de Opera, son afectadas por una vulnerabilidad explotable de forma remota, que puede provocar la ejecución de código a partir de un desbordamiento de búfer.

El problema es ocasionado por un error del programa al no comprobar el tamaño de la memoria asignada, antes de utilizar los valores indicados para el alto y el ancho en una imagen JPEG.

La vulnerabilidad permite a un atacante remoto la ejecución arbitraria de código en el contexto del usuario actual, por el simple hecho de visualizar una página web maliciosa.


Software vulnerable:

- Opera Web Browser 5.0 Linux
- Opera Web Browser 5.0 Mac
- Opera Web Browser 5.02 Win32
- Opera Web Browser 5.10 Win32
- Opera Web Browser 5.11 Win32
- Opera Web Browser 5.12
- Opera Web Browser 5.12 Win32
- Opera Web Browser 6.0
- Opera Web Browser 6.0 Win32
- Opera Web Browser 6.0.1
- Opera Web Browser 6.0.1 Linux
- Opera Web Browser 6.0.1 Win32
- Opera Web Browser 6.0.2 Linux
- Opera Web Browser 6.0.2 Win32
- Opera Web Browser 6.0.3 Linux
- Opera Web Browser 6.0.3 Win32
- Opera Web Browser 6.0.4 Win32
- Opera Web Browser 6.0.5 Win32
- Opera Web Browser 6.0.6 Win32
- Opera Web Browser 6.06
- Opera Web Browser 6.10 Linux
- Opera Web Browser 7.0 1Win32
- Opera Web Browser 7.0 2Win32
- Opera Web Browser 7.0 3Win32
- Opera Web Browser 7.0 Win32
- Opera Web Browser 7.0 Win32 Beta 1
- Opera Web Browser 7.0 Win32 Beta 2
- Opera Web Browser 7.10
- Opera Web Browser 7.11
- Opera Web Browser 7.11b
- Opera Web Browser 7.11j
- Opera Web Browser 7.20
- Opera Web Browser 7.20 Beta 1 build 2981
- Opera Web Browser 7.21
- Opera Web Browser 7.22
- Opera Web Browser 7.23
- Opera Web Browser 7.50
- Opera Web Browser 7.51
- Opera Web Browser 7.52
- Opera Web Browser 7.53
- Opera Web Browser 7.54
- Opera Web Browser 8 Beta 3
- Opera Web Browser 8.0
- Opera Web Browser 8.01
- Opera Web Browser 8.02
- Opera Web Browser 8.50
- Opera Web Browser 8.51
- Opera Web Browser 8.52
- Opera Web Browser 8.53
- Opera Web Browser 8.54


Software NO vulnerable:

- Opera Web Browser 9


Soluciones:

Actualizarse a las versiones 9.0 o superior.

NOTA: Recientemente han sido detectadas vulnerabilidades en la versión 9 de Opera, pero las mismas son menos peligrosas que la indicada en esta alerta, ya que no se conoce que puedan llegar a ejecutar código.

Descarga de Opera
http://www.opera.com/download/


Más información:

Opera JPEG Processing Integer Overflow Vulnerability (VMSA-20060621-01)
http://www.securityfocus.com/archive/1/438074

Opera Web Browser JPEG Image Handling Remote Buffer Overflow Vulnerability
http://www.securityfocus.com/bid/18594/info
El pasado son solo recuerdos, el futuro son solo sueños